Смена версии AutoCAD 2017. Срочно переиздавать все плагины?

Автор Тема: Смена версии AutoCAD 2017. Срочно переиздавать все плагины?  (Прочитано 2688 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн avcАвтор темы

  • ADN Club
  • ****
  • Сообщений: 490
  • Карма: 90
    • Мои плагины к Автокаду
Вышел сервис пак SP1 к AutoCAD 2017. И вдруг перестали загружаться все мои bundle-плагины. Долго бился башкой_ап_стену пока не понял, что Автодеск сменили внутренний номер версии. Теперь в PackageContents.xml надо писать SeriesMax="R21.1" а не SeriesMax="R21.0". Сбило с толку, что загружался новенький, вчера опубликованный, плагин. Оказалось в нем индусы сами поменяли номер.
Это что ж получается, надо опять перепубликовывать новые версии всех плагинов? Второй раз за год?!! Ушел стреляться...
Что характерно в AppData и реестре остался старый номер версии R21.0

Оффлайн avcАвтор темы

  • ADN Club
  • ****
  • Сообщений: 490
  • Карма: 90
    • Мои плагины к Автокаду
А кстати в App Store по прежнему числится, что все плагины совместимы с 2017. И пользователь клюнет, скачает и получит банан. У него ж уже 2017 SP1. Без объяснений и сообщений об ошибках. Что-то тут с логикой магазина не так....
Ведь у меня есть и платные плагины. Получается я предоставил заведомо ложную информацию (насчет совместимости), пользователь не станет мне жаловаться, а откатит оплату. Пейпал влупит мне штраф 20$ за 5и-баксовый плагин и по мимо убытков я очень скоро вообще лишусь очередного Пейпал-аккаунта. У них за этим не заржавеет - чуть что (и даже без повода) - и получай бан. Я проверял. К несчастью.
И самое смешное, что я даже не могу оперативно снять галочку совместимости с 2017. На это надо тот же самый месяц, как и на публикацию новой версии.
« Последнее редактирование: 04-08-2016, 22:43:16 от avc »

Отмечено как Решение avc 04-08-2016, 23:11:56

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 9847
  • Карма: 1259
  • Рыцарь ObjectARX
  • Skype: rivilis
Спокойнее! Читаем и ставим HotFix: http://adndevblog.typepad.com/autocad/2016/08/autocad-2017-service-pack-1-and-autoloader-mechanism.html
P.S.: Ну не успел я перевести эту статью. Сейчас сделаю.
P.S.S.: Сделал: http://adn-cis.org/autocad-2017-service-pack-1-mexanizm-avtozagruzki.html
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн avcАвтор темы

  • ADN Club
  • ****
  • Сообщений: 490
  • Карма: 90
    • Мои плагины к Автокаду
Упс. Так это баг, а не фича... То-то я думаю, вроде ж были сервиспаки и на предыдущих автокадах и номер вроде не менялся.
Так что в итоге? Фальшстарт? Никакого R21.1 не существует? И не будет? Или все-таки писать в новых плагинах SeriesMax="R21.1" ? Нууу на всякий случай...
Вообще хотфикс очень не дружественно оформлен. Больше на кряк похож. Я и сам не понял, что это я такое скачал, "crx" какой-то, а уж пользователю такое втолковать..... А сам SP1-инсталлятор не будет подправлен?

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 9847
  • Карма: 1259
  • Рыцарь ObjectARX
  • Skype: rivilis
Так что в итоге? Фальшстарт? Никакого R21.1 не существует? И не будет? Или все-таки писать в новых плагинах SeriesMax="R21.1" ?
Официальной информации нет. Думаю, что это просто ошибка. Случайно инкрементировали версию. :(
Вообще хотфикс очень не дружественно оформлен. Больше на кряк похож.
Хотфиксы обычно так и оформляют.
А сам SP1-инсталлятор не будет подправлен?
Сомневаюсь. Скорее выйдет какой-то SP1A (как уже когда-то было) или уже в SP2.
В любом случае Autodesk редко анонсирует такие вещи, так что скорее всего мы узнаем только по результатам.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн Дмитрий Загорулькин

  • ADN
  • *
  • Сообщений: 2076
  • Карма: 533
  • LISP/C#, AutoCAD/Civil 3D
  • Skype: zagor_dmtr
avc, спасибо за эту тему! Я себе уже весь мозг сломал - версию три раза перепроверил, PackageContents.xml весь перелопатил. Уже думал помощи просить тут, но увидел эту тему! Причем, я точно помню, что мое приложение загружалось в 2017 версию, я же уже проверял! А тут вдруг перестало! Уж никак не мог подумать, что SP виноват. Думал, что я сам случайно что-то испортил. Вот ведь подставили, так подставили!
Александр Наумович, спасибо за решение!

Оффлайн avcАвтор темы

  • ADN Club
  • ****
  • Сообщений: 490
  • Карма: 90
    • Мои плагины к Автокаду
А тем временем, за отсутствием официальных указаний, все плагины публикуются для несуществующей версии SeriesMax="R21.1". Хоть никто это не афиширует, но похоже, что так и будем писать до самого апреля. А для 2018 придется им придумать другой номер. R22?

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 9847
  • Карма: 1259
  • Рыцарь ObjectARX
  • Skype: rivilis
А тем временем, за отсутствием официальных указаний, все плагины публикуются для несуществующей версии SeriesMax="R21.1".
Не понял. О чем это ты? Кстати AutoCAD 2017 SP1 вроде бы переиздали. Во всяком случае у него дата теперь больше, чем дата у HotFix.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн Дмитрий Загорулькин

  • ADN
  • *
  • Сообщений: 2076
  • Карма: 533
  • LISP/C#, AutoCAD/Civil 3D
  • Skype: zagor_dmtr
А тем временем, за отсутствием официальных указаний, все плагины публикуются для несуществующей версии SeriesMax="R21.1".
Да, я тоже поставил такие настройки в Bundle. Это проще, чем объяснять простым пользователям про хотфиксы.